Package twisted :: Package words :: Module tendril :: Class ProxiedParticipant

[show private | hide private]
[frames | no frames]

## Class ProxiedParticipant

    WordsClient --+
                  |
      Ephemeral --+
                  |
                 ProxiedParticipant

I'm the client of a participant who is connected through Tendril.

Method Summary
| `__init__(self, tendril, nickname)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `memberJoined(self, member, group)` (inherited from `WordsClient`)
| `memberLeft(self, member, group)` (inherited from `WordsClient`)
| `notifyStatusChanged(self, name, status)` (inherited from `WordsClient`)
| `receiveContactList(self, contactList)` (inherited from `WordsClient`)
| ``receiveDirectMessage`(self, sender, message, metadata)` Pass this message through tendril to my IRC counterpart.
| `receiveGroupMembers(self, names, group)` (inherited from `WordsClient`)
| `receiveGroupMessage(self, sender, group, message, metadata)` (inherited from `WordsClient`)
| `setGroupMetadata(self, metadata, name)` (inherited from `WordsClient`)
| `setNick(self, nickname)`

Class Variable Summary
`None` | `nickname`
`None` | `tendril`

Method Details

### receiveDirectMessage(self, sender, message, metadata=None)

Pass this message through tendril to my IRC counterpart.

Class Variable Details

### nickname

  Type:
    `None`
  Value:

        None

### tendril

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:24 2003 | http://epydoc.sf.net